#include <linux/fs.h>
#include <linux/init.h>
#include <linux/kernel.h>
#include <linux/module.h>

MODULE_LICENSE("GPL");
MODULE_AUTHOR("wirklichniemand");
MODULE_DESCRIPTION("control-register test");

#include "debug_file.h"
static char debug_devname[] = "control_register_debug";
static int debug_devnum;

#include "hax_file.h"
static char hax_devname[] = "control_register_hax";
static int hax_devnum;

static int __init init_mod(void) {
	pr_info("control-register test says hi!\n");

	debug_devnum = register_chrdev(0, debug_devname, &debug_fops);
	hax_devnum = register_chrdev(0, hax_devname, &hax_fops);

	return 0;
}

static void __exit exit_mod(void) {
	unregister_chrdev(debug_devnum, debug_devname);
	unregister_chrdev(hax_devnum, hax_devname);
	pr_info("control-register test says bai!\n");
}

module_init(init_mod);
module_exit(exit_mod);
